rspamd (3.11.1-4) unstable; urgency=medium

  * d/control: Drop loong64 and powerpc architectures too

 -- Jerome Lebleu <jerome@maroufle.fr>  Wed, 14 May 2025 15:46:38 +0200

rspamd (3.11.1-3) unstable; urgency=medium

  * d/control:
    + Add valkey-server as an alternative to redis-server in Recommends
    + Drop architectures where LuaJIT is not available or not fully
      working (Closes: #1104755)

 -- Jerome Lebleu <jerome@maroufle.fr>  Tue, 13 May 2025 18:11:43 +0200

rspamd (3.11.1-2) unstable; urgency=medium

  * d/tests: Wait until all TLD suffixes have been compiled

 -- Jerome Lebleu <jerome@maroufle.fr>  Thu, 24 Apr 2025 19:06:15 +0200

rspamd (3.11.1-1) unstable; urgency=medium

  * New upstream version 3.11.1 (Closes: #1072644)
  * d/lintian-overrides: Silence depends-on-obsolete-bootstrap for
    Glyphicons Halflings font
  * d/patches:
    + Refresh patches and remove merged ones
    + Do not set UTS #46 nontransitional option

 -- Jerome Lebleu <jerome@maroufle.fr>  Sun, 20 Apr 2025 17:33:02 +0200

rspamd (3.11.0-1) UNRELEASED; urgency=medium

  [ Christian Göttsche ]
  * Drop obsolete libunwind support
  * Use system libraries where supported

  [ Jerome Lebleu ]
  * New upstream version 3.11.0
  * d/control:
    + Add libarchive-dev to Build-Depends
    + Add libvectorscan-dev as an alternative to libhyperscan-dev
    + Update architectures of libluajit-5.1-dev and libunwind-dev
    + Replace libjs-bootstrap4 by libjs-bootstrap5
    + Bump Standards-Version to 4.7.2
  * d/patches:
    + Refresh patches
    + Regenerate man pages with Pandoc
    + Remove 0003-add-versions-to-shared-libraries
    + Fix Getop issues in rspamd_stats.pl
  * d/rules:
    + Move systemd directory to /usr
    + Update some configuration variables with upstream
    + Enable Link Time Optimization if supported
    + Remove useless dh_auto_clean override
    + Change how features togglers are defined
    + Export build flags for CMake
    + Use Ninja for the build system

 -- Jerome Lebleu <jerome@maroufle.fr>  Wed, 26 Feb 2025 11:41:06 +0100

rspamd (3.8.1-1) unstable; urgency=medium

  * New upstream version 3.8.1
  * d/patches: refresh patches
  * d/lintian: update version number
  * d/copyright: Update years and my email
  * d/sources: Update github.com/julianpoemp/codejar-linenumbers

 -- Sebastien Badia <sbadia@debian.org>  Sat, 27 Jan 2024 22:50:06 +0100

rspamd (3.7.3-1) unstable; urgency=medium

  * New upstream version 3.7.3

 -- Sebastien Badia <sbadia@debian.org>  Sat, 28 Oct 2023 00:14:48 +0200

rspamd (3.7.2-1) unstable; urgency=medium

  * New upstream version 3.7.2
  * d/patches: refresh patches

 -- Sebastien Badia <sbadia@debian.org>  Thu, 26 Oct 2023 22:33:03 +0200

rspamd (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1
  * d/patches: refresh patches (bootstrap 5.3.1, jquery 3.7.0)
  * d/lintian: update version number

 -- Sebastien Badia <sbadia@debian.org>  Tue, 10 Oct 2023 14:52:39 +0200

rspamd (3.6-1) unstable; urgency=medium

  * New upstream version 3.6
  * lintian: update version number
  * d/patches: refresh patches

 -- Sebastien Badia <sbadia@debian.org>  Tue, 08 Aug 2023 21:14:35 +0200

rspamd (3.5-1) unstable; urgency=medium

  * d/copyright: Update Vsevolod email
  * New upstream version 3.5 (Closes: #1037486, #1037849, #1036646)
  * d/patches:
    + removed upstream patches
    + refresh patches according new upstream

 -- Sebastien Badia <sbadia@debian.org>  Sun, 25 Jun 2023 01:22:24 +0200

rspamd (3.4-1) unstable; urgency=medium

  * New upstream version 3.4
  * d/patches:
    + Refresh patches according new version
    + Import upstream CritFix patches
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Fix depends-on-obsolete-package
  * d/copyright: Update copyrights years
  * d/lintian: Update overrides

 -- Sebastien Badia <sbadia@debian.org>  Fri, 10 Feb 2023 14:56:34 +0100

rspamd (3.2-3) unstable; urgency=medium

  * d/rules: Disable on wppc64el (refs: #1011305)

 -- Sebastien Badia <sbadia@debian.org>  Sun, 05 Jun 2022 11:54:18 +0200

rspamd (3.2-2) unstable; urgency=medium

  * d/control: Replace luajit with lua on ppc64el (refs: #1011305)

 -- Sebastien Badia <sbadia@debian.org>  Sun, 05 Jun 2022 11:00:09 +0200

rspamd (3.2-1) unstable; urgency=medium

  * New upstream version 3.2
  * d/patches: remove applied upstream and refresh patches
  * d/lintian: Update version

 -- Sebastien Badia <sbadia@debian.org>  Tue, 12 Apr 2022 11:21:47 +0200

rspamd (3.1-1) unstable; urgency=medium

  * New upstream version 3.1
  * d/control: Bump Standards-Versions to 4.6.0 (no changes)
  * d/patches:
    + Refresh patches
    + Fix i386 compilation
  * d/lintian: Refresh lintian-overrides
  * d/rules: Add cxx switch knobs

 -- Jerome Lebleu <jerome@maroufle.fr>  Sat, 26 Feb 2022 11:49:41 +0100

rspamd (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * d/patches: Refresh patches
  * d/lintian: Refresh lintian-overrides

 -- Sebastien Badia <sbadia@debian.org>  Sat, 21 Aug 2021 18:55:31 +0200

rspamd (2.7-1) unstable; urgency=medium

  * New upstream version 2.7
  * d/patches:
    + Refresh patchs according new upstream release
    + Remove applied-upstream patches
  * d/lintian-overrides: Update according new upstream release

 -- Sebastien Badia <sbadia@debian.org>  Sat, 23 Jan 2021 21:09:19 +0100

rspamd (2.6-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * New upstream version 2.6
  * Work on Lintian issues
  * Refresh patches
  * d/salsa-ci.yml: fail on Lintian warnings
  * debian: run wrap-and-sort
  * d/rspamd.lintian-overrides: do not use spelling mistake in comment

  [ Sebastien Badia ]
  * d/source/lintian-overrides: drop unused override
  * d/control: Bump Standards-Versions to 4.5.1 (no changes)

 -- Sebastien Badia <sbadia@debian.org>  Sat, 12 Dec 2020 15:54:28 +0100

rspamd (2.5-4) unstable; urgency=medium

  [ Christian Göttsche ]
  * d/salsa-ci.yml: fail on Lintian warnings
  * d/rspamd.lintian-overrides: do not use spelling mistake in comment.
  * d/source/lintian-overrides: drop unused override.
  * d/tests/install: print curl errors to stdout (Closes: #972384)
    In case the first try of curl fails, but a subsequent retry succeeds
    the testsuite will still fail cause curl will have printed the failure
    of the first try to stderr.
    Redirect curl errors to stdout and rely on the exit value.

 -- Sebastien Badia <sbadia@debian.org>  Thu, 05 Nov 2020 19:39:33 +0100

rspamd (2.5-3) unstable; urgency=medium

  * d/patches:
    + Fix ftbfs with gcc 10, Thanks Steve (Closes: #966475)
    + Added forwarded tags (according new lintian checks)

 -- Sebastien Badia <sbadia@debian.org>  Mon, 03 Aug 2020 16:56:40 +0200

rspamd (2.5-2) unstable; urgency=medium

  [ Christian Göttsche ]
  * d/control: switch to compat level 13.
  * rspamd.triggers: activate on resolved paths for jquery and
    glyphicons-halflings-regular.ttf.
  * d/{control,rules}: use libunwind only on supported architectures
  * d/rules:
    + drop as-needed linker flag.
    + enable CMAKE_BUILD_WITH_INSTALL_RPATH.
      Make the build reproducible (Closes: #956120)
  * d/tests:
    + add test that we use existing and resolved paths in the dpkg triggers
    + try to adjust flaky autopkgtest runs

 -- Sebastien Badia <sbadia@debian.org>  Thu, 28 May 2020 11:06:51 +0200

rspamd (2.5-1) unstable; urgency=medium

  [ Sebastien Badia ]
  * d/control:
    + Switch to debhelper-compat and level 12
    + Bump to Standards-Version 4.5.0 (no changes needed)
  * New upstream version 2.5 (Closes: #948607)
  * d/patches:
    + Import upstream patch for license problem with ConvertUTF
    + Refresh patches and rename 001_fix-perl-sheeband

  [ Christian Göttsche ]
  * d/NEWS: rename to canonical name and fix version
  * d/control:
    + Set Rules-Requires-Root to no
    + Update build dependencies
    + Recommend redis-server
    + Add ${perl:Depends} to package rspamd
  * d/salsa-ci.yml: add standard salsa-ci configuration
  * d/gbp.conf: drop export-dir setting
  * d/watch: use official rspamd repository
  * d/rules:
    + Fix HYPERSCAN logic blocking systemd service (Closes: #950320)
    + Set asm flags to please blhc
  * d/copyright: Update according new upstream
  * d/patches: add patch to add version to shared libraries
  * rework handling of already packaged js files
  * d/tests: add configtest and rspamd_stats test

 -- Sebastien Badia <sbadia@debian.org>  Sun, 05 Apr 2020 21:11:22 +0200

rspamd (1.9.4-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * d/{control,rules}: Enable build with hyperscan (amd64 only), and add
    myself to Uploaders.

 -- Sebastien Badia <sbadia@debian.org>  Tue, 09 Jul 2019 12:10:41 +0200

rspamd (1.9.4-1) experimental; urgency=medium

  [ Jerome Lebleu ]
  * New upstream version 1.9.4 (Closes: #929134)
  * d/control: Use shipped version of D3.js instead of libjs-d3
    (Closes: #918027)
  * d/missing-sources: Add jQuery Sticky Tabs source

  [ Sebastien Badia ]
  d/control: Bump to Standards-Version 4.3.0 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Thu, 30 May 2019 19:20:23 +0200

rspamd (1.9.0-1) experimental; urgency=medium

  * New upstream version 1.9.0
  * d/rules: Slashing: Distinguish lualibdir, pluginsdir and sharedir
  * d/logrotate: Fix log rotation if SystemD is used (Closes: #919789)
                 Thanks Alexandre !
  * d/tests: Ugly-patch for flaky tests… (Closes: #914477)
  * d/copyright: Added Jerome and I on debian/*

 -- Sebastien Badia <sbadia@debian.org>  Mon, 01 Apr 2019 00:32:39 +0200

rspamd (1.8.1-2) unstable; urgency=medium

  * d/control: Switch to libpcre2-dev (Closes: #911935)
  * d/rules:
    + Enable pcre2 support
    + Fix filter (gnu_cpu and filter architecture)

 -- Sebastien Badia <sbadia@debian.org>  Sat, 10 Nov 2018 22:58:51 +0100

rspamd (1.8.1-1) unstable; urgency=medium

  [ Jerome Lebleu ]
  * d/missing-sources: Add NProgress source
  * d/copyright:
    + Remove unused clauses
    + Update and add missing clauses for contrib/*
    + Correct some clauses license
    + Normalize licenses regarding Debian format
  * New upstream version 1.8.1 (Closes: #909619)

  [ Sebastien Badia ]
  * d/rules: Fix build on aarch64, mips64, ppc64le, parisc64, ia64, ppc64
    thanks @randomstuff and @alexAubin !
    refs: https://github.com/rspamd/rspamd/issues/2202#issuecomment-401545304

 -- Sebastien Badia <sbadia@debian.org>  Sat, 10 Nov 2018 15:19:42 +0100

rspamd (1.7.9-1) unstable; urgency=medium

  [ Sebastien Badia ]
  * d/rules: Enable libunwind support (upstream)
  * d/control:
    + Bump to Standards-Version 4.2.1 (no changes needed)
    + Switch Mikhail and me as Maintainer
  * d/patches: Fix wrong-path-for-interpreter (Perl interpreter)
  * New upstream version 1.7.9

  [ Jérôme Lebleu ]
  * d/scripts: Update require.min.js path coming with 1.7.7

 -- Sebastien Badia <sbadia@debian.org>  Thu, 06 Sep 2018 09:59:05 +0200

rspamd (1.7.6-1) unstable; urgency=medium

  [ Jerome Lebleu ]
  * d/source: Switch to 3.0 native to quilt source format
  * d/rules:
    + Enable hardening=+all (relro)
    + Rely on default rules for systemd and sysv service setup
    + Update configuration var. and fix permission on log dir
  * d/rspamd.init: Use rspamd.conf as config. file and test it on start

  [ Sebastien Badia ]
  * New upstream version 1.7.6 (Closes: #813222, #849396)
  * Added upstream-metadata-file (refs: http://dep.debian.net/deps/dep12/)
  * Depends on packaged js libs and import minified versions
  * d/man: Added a manpage for rspamd_stats
  * d/copyright: Update copyright years and use HTTPS for URI
  * d/control:
    + Use salsa.debian.org in Vcs-* fields
    + Bump to Standards-Version 4.1.4 (no changes needed)
    + Update Build-Depends according new upstream release
  * d/rules: Remove un-needed dh_systemd (it's now enabled by default)
  * d/compat: Bump compat version to 11
  * d/tests: Added a basic test suite (systemd + rspamd web)

 -- Sebastien Badia <sbadia@debian.org>  Sat, 23 Jun 2018 13:35:46 +0200

rspamd (0.6.10) unstable; urgency=low

  * Initial release (Closes: #683746)

 -- Mikhail Gusarov <dottedmag@debian.org>  Wed, 13 Aug 2014 00:28:21 +0200
